%define upstream_name    Devel-PPPort
%define upstream_version 3.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Portability aid for your XS code
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Perl's API has changed over time, gaining new features, new functions,
increasing its flexibility, and reducing the impact on the C namespace
environment (reduced pollution). The header file written by this module,
typically _ppport.h_, attempts to bring some of the newer Perl API features
to older versions of Perl, so that you can worry less about keeping track
of old releases, but users can still reap the benefit.

'Devel::PPPort' contains a single function, called 'WriteFile'. Its only
purpose is to write the _ppport.h_ C header file. This file contains a
series of macros and, if explicitly requested, functions that allow XS
modules to be built using older versions of Perl. Currently, Perl versions
from 5.003 to 5.10.0 are supported.

This module is used by 'h2xs' to write the file _ppport.h_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes HACKERS META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.320.0-3.mga6
+ Revision: 1025575
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 3.320.0-2.mga6
+ Revision: 957172
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 3.320.0-1.mga6
+ Revision: 891315
- update to 3.32

* Thu Jun 25 2015 sander85 <sander85> 3.310.0-1.mga6
+ Revision: 843823
- update to 3.31

* Sat Oct 18 2014 umeabot <umeabot> 3.240.0-5.mga5
+ Revision: 788059
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.240.0-4.mga5
+ Revision: 749042
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.240.0-3.mga5
+ Revision: 684324
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.240.0-2.mga5
+ Revision: 631071
- Rebuild for perl 5.20

* Mon May 19 2014 sander85 <sander85> 3.240.0-1.mga5
+ Revision: 623905
- update to 3.24

* Tue Apr 15 2014 jquelin <jquelin> 3.230.0-1.mga5
+ Revision: 614571
- update to 3.23

* Thu Mar 20 2014 jquelin <jquelin> 3.220.0-1.mga5
+ Revision: 606053
- update to 3.22

* Mon Feb 10 2014 jquelin <jquelin> 3.210.0-3.mga5
+ Revision: 587913
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 3.210.0-2.mga4
+ Revision: 532289
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 3.210.0-1.mga4
+ Revision: 467772
- update to 3.21

* Wed May 29 2013 jquelin <jquelin> 3.200.0-8.mga4
+ Revision: 430651
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.200.0-7.mga3
+ Revision: 365790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.200.0-6.mga3
+ Revision: 250531
- rebuild for perl 5.16

* Fri Nov 04 2011 jquelin <jquelin> 3.200.0-5.mga2
+ Revision: 162802
- take priority over module bundled with perl 5.14.2

* Sun Sep 18 2011 takashi <takashi> 3.200.0-4.mga2
+ Revision: 144762
- upload to 3.20
- update to 3.20

* Sun Jun 12 2011 sander85 <sander85> 3.190_300-4.mga2
+ Revision: 105241
- upgrade to devel version to fix build
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 3.190.0-3.mga1
+ Revision: 22355
- cleaning spec file
- imported package perl-Devel-PPPort

